<!-- 
2.	Segundo uma tabela médica, o peso ideal está relacionado com a altura e o sexo. 
Criar um programa que receba a altura e o sexo de uma pessoa, calcule e imprima o seu peso ideal, utilizando as seguintes fórmulas: 

Para homens: (72.7*ALTURA)-58 
Para mulheres: (62.1*ALTURA)-44.7
-->
 
<html><head>
	<title>Javascript exercicio 2</title>
</head>
<body>

<style type="text/css">
/*label { display: inline-block; width: 100px; }*/

body {
	font-family: arial;
	text-align: center;
    background: green; 
    }
</style>
<script>
function calcular(){
	
	var inputAltura = document.getElementById('txtAltura') ; 
	var textoAltura = parseFloat(inputAltura.value)  ; 
	
	var inputSexo = document.getElementById('txtSexo') ; 
	var textoSexo = inputSexo.value  ; 
	
	var peso = document.getElementById('txtPeso');

	 
   	
	if(!isNaN(textoAltura) && inputSexo != '') {
	
			  if(textoSexo  == 'txthomem'){
					
					var h = (72.7 * textoAltura) - 58 ; 
					peso.value = h;
					
				}else{
					var m = (62.1 * textoAltura) - 44.7 ;
					peso.value = m ; 
					
				}
	
	}else {
		alert('Valor informado para a altura esta errado !!');
	}

}

</script>




</body>
<label for="txtgenero">GENERO</label>
<select name="SEXO" id="txtSexo">

<option value="txthomem"> MASCULINO </option>
<option value="txtmulher"> FEMININO </option>
</select></br></br>

<label for="txtAltura">ALTURA</label>
<input type="text" id="txtAltura"  /> <br /></br>
<label for="txtPeso">PESO IDEAL</label>
<input type="text" id="txtPeso"  /> <br /></br>
<input type="Button" value="Calcular!" onclick="calcular()" />
</html>